TTMAC_Base Class Reference

TTMAC message authentication code information. More...

`#include <ttmac.h>`

Inheritance diagram for TTMAC_Base:

## Public Member Functions

unsigned int | DigestSize () const
void | UncheckedSetKey (const byte *userKey, unsigned int keylength, const NameValuePairs &params)
void | TruncatedFinal (byte *mac, size_t size)
Public Member Functions inherited from IteratedHash< word32, LittleEndian, 64, MessageAuthenticationCode >
unsigned int | BlockSize () const
| Provides the block size of the hash.
ByteOrder | GetByteOrder () const
| Provides the byte order of the hash.
void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)
| Adjusts the byte ordering of the hash.
Public Member Functions inherited from IteratedHashBase< T, BASE >
| IteratedHashBase ()
| Construct an IteratedHashBase.
unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this cipher.
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
void | Update (const byte *input, size_t length)
| Updates a hash with additional input.
byte * | CreateUpdateSpace (size_t &size)
| Requests space which can be written into by the caller.
void | Restart ()
| Restart the hash.
void | TruncatedFinal (byte *digest, size_t digestSize)
| Computes the hash of the current message.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 20 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Static Public Attributes

static const int | DIGESTSIZE =20
Static Public Attributes inherited from FixedKeyLength< 20 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from IteratedHash< word32, LittleEndian, 64, MessageAuthenticationCode >
static const int | BLOCKSIZE

## Additional Inherited Members

Public Types inherited from IteratedHash< word32, LittleEndian, 64, MessageAuthenticationCode >
typedef LittleEndian | ByteOrderClass
typedef word32 | HashWordType
Public Types inherited from IteratedHashBase< T, BASE >
typedef T | HashWordType

## Detailed Description

TTMAC message authentication code information.

Definition at line 16 of file ttmac.h.

## Member Function Documentation

## StaticAlgorithmName()

static std::string TTMAC_Base::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 19 of file ttmac.h.

## DigestSize()

unsigned int TTMAC_Base::DigestSize | ( |  | ) | const

inline

Definition at line 22 of file ttmac.h.

## UncheckedSetKey()

void TTMAC_Base::UncheckedSetKey | ( | const byte * | userKey,
|  | unsigned int | keylength,
|  | const NameValuePairs & | params
| ) |  |

Definition at line 43 of file ttmac.cpp.

## TruncatedFinal()

void TTMAC_Base::TruncatedFinal | ( | byte * | mac,
|  | size_t | size
| ) |  |

Definition at line 62 of file ttmac.cpp.

## Member Data Documentation

## DIGESTSIZE

const int TTMAC_Base::DIGESTSIZE =20

static

Definition at line 20 of file ttmac.h.

The documentation for this class was generated from the following files:

- ttmac.h
- ttmac.cpp